Jump to content
PhAzE

[PhAzE] Plugins for Unraid 5/6

3606 posts in this topic Last Reply

Recommended Posts

PhAzE

 

I am currently (about to this week) upgrading my UnRaid server from v5 to v6.  I only have Emby server installed.  So i need to do anything after I upgrade the UnRaid server, like install Emby again?    I'm guessing I need to backup my emby settings too?!?!

Back up your emby config folder just in case but otherwise no, my plugins will seamlessly "just work" when you upgrade.

 

 

I must have did something wrong.  after the upgrade to v6.  I dont see Emby plugin?  in my bootable Flashdrive.  I did delete or didnt bring it over to v6.  Am I supposed to bring them over? 

Share this post


Link to post

PhAze,  or can I just download the plg and reinstall in.  And since the config files are still in the server, it will just pick it up and back to normal???

Share this post


Link to post

PhAze,  or can I just download the plg and reinstall in.  And since the config files are still in the server, it will just pick it up and back to normal???

Yes i would try to reinstall and point to the install dir and comfig dir again. It should pick everything up again.

Share this post


Link to post

PhAze,  or can I just download the plg and reinstall in.  And since the config files are still in the server, it will just pick it up and back to normal???

Yes i would try to reinstall and point to the install dir and comfig dir again. It should pick everything up again.

 

 

Thank you sir.  All worked out.  Back to normal.  yay!!! 

Share this post


Link to post

Is it just me or is the SickRage team falling apart?  Last couple of updates have more or less broken SickRage for me.  I've tried installing on a new install, and it won't load old TV shows.  My old install was acting wierd as well (shows not downloading, log file not updating, etc.).

 

I'm going back to Sickbeard until it settles down.  Does anyone know what's going on?

 

Mike

Share this post


Link to post

Is it just me or is the SickRage team falling apart?  Last couple of updates have more or less broken SickRage for me.  I've tried installing on a new install, and it won't load old TV shows.  My old install was acting wierd as well (shows not downloading, log file not updating, etc.).

 

I'm going back to Sickbeard until it settles down.  Does anyone know what's going on?

 

Mike

I recommend switching to Sonarr (you may be surprised).  Otherwise, no idea what the SickRage devs are doing.

Share this post


Link to post

Having some issues with sickrage plugin, all was working fine and dont believe anything changed other then possibly the sickrage software being updated. Tried to reinstall plugin with same results. Seems to start then gets killed and cant access. When it does load only able to access the main page everything else times out.

 

2015-12-17 18:33:51 [iNFO] *** Button Start Initiated ***

2015-12-17 18:33:51 [iNFO] Syncing application and plugin config files

2015-12-17 18:33:51 [iNFO] Updating plugin config file

2015-12-17 18:33:51 [iNFO] Starting SickRage...

2015-12-17 18:33:51 [iNFO] Updating dependencies

2015-12-17 18:33:51 [iNFO] Dependency install file has correct MD5

2015-12-17 18:33:51 [iNFO] Using /mnt/cache/.PhAzE-Common for dependency directory

2015-12-17 18:33:53 [iNFO] Dependencies updated successfully

2015-12-17 18:33:53 [iNFO] Updating export file

2015-12-17 18:33:53 [iNFO] Updating shorcut file

2015-12-17 18:33:53 [iNFO] Updating application directories

2015-12-17 18:33:53 [iNFO] Updating application config file

2015-12-17 18:33:59 [iNFO] Start OK!

2015-12-17 18:40:15 [iNFO] *** Button Start Initiated ***

2015-12-17 18:40:15 [iNFO] Syncing application and plugin config files

2015-12-17 18:40:15 [iNFO] Updating plugin config file

2015-12-17 18:40:15 [iNFO] Starting SickRage...

2015-12-17 18:40:15 [iNFO] Updating dependencies

2015-12-17 18:40:16 [iNFO] Dependency install file has correct MD5

2015-12-17 18:40:16 [iNFO] Using /mnt/cache/.PhAzE-Common for dependency directory

2015-12-17 18:40:18 [iNFO] Dependencies updated successfully

2015-12-17 18:40:18 [iNFO] Updating export file

2015-12-17 18:40:18 [iNFO] Updating shorcut file

2015-12-17 18:40:18 [iNFO] Updating application directories

2015-12-17 18:40:18 [iNFO] Updating application config file

2015-12-17 18:40:29 [ERROR] Start failed: No PID created

 

Dec 17 22:11:52 Tower kernel: Out of memory: Kill process 12085 (python) score 880 or sacrifice child

Dec 17 22:11:52 Tower kernel: Killed process 12085 (python) total-vm:8970492kB, anon-rss:6726692kB, file-rss:2476kB

 

Try:

 

1. Stopping the plugin (all PhAzE Plugins actually)

2. delete folder /mnt/cache/.PhAzE-Common

3. delete your install folder (but NOT your config folder)

3. reboot server

4. start plugin.

 

That will refresh the dependencies, and clear the installation files leaving only your config files.  If the problem still persists, you may have a problem in the config folder, in which case, sickrage may have botched something in their recent update.  You can then try a fresh install by deleting the config folder and seeing if it starts (i would back up your config folder just in case though).  That will narrow it down at least to the folder that's causing the problem.

Share this post


Link to post

seems to be something going on with SABnzbd.. it can't find the install files?

the folder .PhAzE-Common/Sabnzbd remains empty as well

 

Share this post


Link to post

seems to be something going on with SABnzbd.. it can't find the install files?

the folder .PhAzE-Common/Sabnzbd remains empty as well

Check the files on your usb at /boot/config/plugins/Sabnzbd

 

Delete any zip or tar.gz file in there and delete any .md5 files you see in there,  reboot server.

Share this post


Link to post

it is a new install (again) but it didn't solve the problem

something got moved around somewhere i think

 

usr/bin/tail -n 42 -f /var/log/PhAzE-Logs/Sabnzbd.log
2015-12-24 18:55:29 [iNFO]	************************** 
2015-12-24 18:55:29 [iNFO]	Installing Sabnzbd plugin 
2015-12-24 18:55:29 [iNFO]	************************** 
2015-12-24 18:55:29 [iNFO]	Checking for current bundle files 
2015-12-24 18:55:29 [iNFO]	Control file: Not Found 
2015-12-24 18:55:29 [iNFO]	Dependency file: Not found 
2015-12-24 18:55:29 [iNFO]	Check OK! 
2015-12-24 18:55:30 [iNFO]	Downloading new control file 
2015-12-24 18:55:31 [iNFO]	Download OK: Control file passed MD5 check 
2015-12-24 18:55:31 [iNFO]	Downloading new dependency file 
2015-12-24 18:55:40 [iNFO]	Download OK: Dependency file passed MD5 check 
2015-12-24 18:55:40 [iNFO]	Locating and removing old bundle files 
2015-12-24 18:55:40 [iNFO]	Running install script for SABnzbd 
2015-12-24 18:55:40 [iNFO]	Verifying plugin config file elements 
2015-12-24 18:55:40 [iNFO]	Verification OK! 
2015-12-24 18:55:40 [iNFO]	Installing control file 
2015-12-24 18:55:40 [iNFO]	Control file install OK! 
2015-12-24 18:55:40 [iNFO]	Removing Windows carriage characters from important files 
2015-12-24 18:55:40 [iNFO]	Cleaning up temp files and folders
2015-12-24 18:55:40 [iNFO]	************************** 
2015-12-24 18:55:40 [iNFO]	Install complete!
2015-12-24 18:55:40 [iNFO]	************************** 
2015-12-24 18:55:56 [iNFO]	*** Start Initiated ***
2015-12-24 18:55:56 [iNFO]	Installing SABnzbd...
2015-12-24 18:55:57 [iNFO]	Updating dependencies
2015-12-24 18:55:57 [iNFO]	Dependency install file has correct MD5
2015-12-24 18:55:57 [iNFO]	Using /mnt/cache/.PhAzE-Common for dependency directory
2015-12-24 18:56:00 [iNFO]	Dependencies updated successfully
2015-12-24 18:56:00 [iNFO]	Updating export file
2015-12-24 18:56:00 [iNFO]	Updating shorcut file
2015-12-24 18:56:00 [WARNING]	Unable to get latest version from online - Checking USB for any install file
2015-12-24 18:56:00 [ERROR]	Install failed: Install file missing 

Share this post


Link to post

Solved...

so i copied SABnzbd-0.7.20-src.tar.gz from github and renamed it Sabnzbd-PhAzE-0.7.20-src.tar.gz inside the /boot/config/plugin/Sabnzbd folder and with fingers crossed pressed install from the settings page.. so it wasn't picking up the source file from SABnzbd itself

Share this post


Link to post

oh, and ps... Sonarr is awesome!! being surprised is an understatement!!

got a bit fed-up with SickRage as well and SickBeard wasn't exactly doing what i wanted from it

 

 

Share this post


Link to post

I recently updated the repo to get the lastest version ... appears that no longer exists. Thats the reason currently. Ill see if i have time to fix it but the next few days are literally the worst time for this to break lol

Share this post


Link to post

Ok check for a sab polygon update and try again.  Should all be working now.

 

I programed in a failsafe to install any version located on the usb in case this happened but a file had to previously exist for it to work. :)

 

Should be good now.

Share this post


Link to post

OK, I just upgraded to unRAID 6, and I can't get Subsonic to install. I keep getting "Installing Subsonic... Install failed: Failed MD5 checksum". Any ideas? Other than that, as always you're doing a fantastic job with these plugins!

Share this post


Link to post

Hi Phaze,

I'm trying to install Flexget but I get some errors

 

2016-01-05 20:35:41 [iNFO]	Install OK! 
2016-01-05 20:36:43 [iNFO]	*** Button Start Initiated ***
2016-01-05 20:36:43 [iNFO]	Syncing application and plugin config files
2016-01-05 20:36:43 [iNFO]	Updating plugin config file
2016-01-05 20:36:43 [iNFO]	Starting FlexGet...
2016-01-05 20:36:43 [iNFO]	Updating dependencies
2016-01-05 20:36:44 [iNFO]	Dependency install file has correct MD5
2016-01-05 20:36:44 [iNFO]	Using /mnt/cache/.PhAzE-Common for dependency directory
2016-01-05 20:36:46 [iNFO]	Dependencies updated successfully
2016-01-05 20:36:46 [iNFO]	Updating export file
2016-01-05 20:36:46 [iNFO]	Updating shorcut file
2016-01-05 20:36:46 [iNFO]	Updating PIP
2016-01-05 20:36:46 [iNFO]	PIP install file has correct MD5
2016-01-05 20:36:46 [iNFO]	Using /mnt/cache/.PhAzE-Common for PIP directory
2016-01-05 20:36:54 [iNFO]	PIP updated successfully
2016-01-05 20:36:54 [iNFO]	Updating application directories
2016-01-05 20:36:54 [iNFO]	Application config file found
2016-01-05 20:37:03 [ERROR]	Start failed: PID created but no process exists 

 

Am I doing something wrong?

Share this post


Link to post

Flexget had been going under development changes lately as they are adding in a proper web interface and the command line switches have been changing a lot.

 

These changes have broke the plugin currently and it needs to be partially rewritten to work again. While there install still works, you may need to use it manually via command line for the time being.

 

 

Share this post


Link to post

Can someone assist with the Emby Server plugin, I'm not sure why this keeps happening.  I installed the plugin for emby, and it worked for a while, but then something updated and now it says this, and I can't seem to update, it says install file not found.  I'm not sure what I am supposed to update to correct this?

 

Thank you for your assistance.

2016-01-16_9-43-28.jpg.5d83d3271d639e7c4b55e93c3cf16cb5.jpg

Share this post


Link to post

How would adjust the filebot plugin to use a beta release and have that change survive reboots? Filebot recently added the ability to use a text file for very long renaming schemes which is the only way my renaming script will work. I've managed to manually replace the Filebot.jar file with a newer version, but this does not survive a reboot of my server. I suppose I could keep manually repeating this process, but if it's a simple config change I'd prefer to do that.

Share this post


Link to post

Thanks for taking the time.

Sickrage is not starting anymore.  I was a few commits behind, tried to update and updater crashed.  Have uninstalled plugin and reinstalled plugin and I get the following log out start failed: no PID created.  How do I resolve?

 

Sickrage_Error.jpg.d2b0de4eb2583faeaefb2b29301c9897.jpg

Share this post


Link to post

How many plugins are you running? I see you don't use a cache drive, so the number of plugin apps greatly depends on the amount of ram on your server (since the OS runs from ram).

Share this post


Link to post

I am using 8 plugins.  They are posted below in the image. Everything has been working correctly until I updated sickrage due to being behind in commits

unRaid_Plugins.jpg.3a4d3812ac93111b1ea92fb9307ba7af.jpg

Share this post


Link to post

Can someone assist with the Emby Server plugin, I'm not sure why this keeps happening.  I installed the plugin for emby, and it worked for a while, but then something updated and now it says this, and I can't seem to update, it says install file not found.  I'm not sure what I am supposed to update to correct this?

 

Thank you for your assistance.

 

Sorry to bug, here is the log I get when I try to update.  I'm nor sure what I am missing here?

 

2016-01-19 20:57:02 [iNFO] *** Install Initiated ***

2016-01-19 20:57:02 [iNFO] Installing Emby Server...

2016-01-19 20:57:03 [iNFO] Updating dependencies

2016-01-19 20:57:03 [iNFO] Dependency install file has correct MD5

2016-01-19 20:57:03 [iNFO] Using /mnt/cache/.PhAzE-Common for dependency directory

2016-01-19 20:57:07 [iNFO] Dependencies updated successfully

2016-01-19 20:57:07 [iNFO] Updating Mono

2016-01-19 20:57:07 [iNFO] Mono install file has correct MD5

2016-01-19 20:57:07 [iNFO] Mono updated successfully

2016-01-19 20:57:07 [iNFO] Updating export file

2016-01-19 20:57:07 [iNFO] Updating shorcut file

2016-01-19 20:57:11 [WARNING] Unable to get latest version from online - Checking USB for any install file

2016-01-19 20:57:11 [ERROR] Install failed: Install file missing

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.